package cn.iocoder.yudao.module.infra.controller.app.file;

import cn.iocoder.yudao.framework.common.constant.Constant;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.dict.core.dto.DictDataRespDTO;
import cn.iocoder.yudao.module.system.api.dict.DictDataApi;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;
import java.util.List;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

/**
 * @author Administrator
 */
@Api(tags = "语言 - 语种列表")
@RestController
@RequestMapping("locale")
public class AppLocaleController {
    @Resource
    private DictDataApi dictDataApi;

    @GetMapping("show")
    @ApiOperation("语种列表")
    public CommonResult<List<DictDataRespDTO>> getLocale() {
        return success(dictDataApi.listDictDatasFromCache(Constant.Cache.LANG));
    }
}
